Bug 96468 - GPU hang in kwin_x11 after upgrade to Plasma 5
Summary: GPU hang in kwin_x11 after upgrade to Plasma 5
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-09 21:54 UTC by Diego Elio Pettenò
Modified: 2019-09-25 18:56 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
gpu crash dump (2.08 MB, text/plain)
2016-06-09 21:54 UTC, Diego Elio Pettenò
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò 2016-06-09 21:54:55 UTC
Created attachment 124429 [details]
gpu crash dump

[  578.819526] [drm] stuck on render ring
[  578.819936] [drm] GPU HANG: ecode 7:0:0x85fffff8, in kwin_x11 [618], reason: Ring hung, action: reset
[  578.819938] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[  578.819938] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[  578.819939] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[  578.819940] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[  578.819941] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[  578.819982] ------------[ cut here ]------------
[  578.819990] WARNING: CPU: 3 PID: 95 at drivers/gpu/drm/i915/intel_display.c:11385 intel_mmio_flip_work_func+0x44d/0x480
[  578.819992] WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, ((void *)0), &mmio_flip->i915->rps.mmioflips))
[  578.819993] Modules linked in:
[  578.819994]  rtsx_usb_sdmmc mmc_core btusb btintel bluetooth input_leds iwldvm iwlwifi int3403_thermal int3402_thermal int3400_thermal int340x_thermal_zone acpi_thermal_rel asus_wireless efivarfs
[  578.820005] CPU: 3 PID: 95 Comm: kworker/3:1 Tainted: G     U          4.6.2-dirty #144
[  578.820007] Hardware name: ASUSTeK COMPUTER INC. UX31A/UX31A, BIOS UX31A.219 06/14/2013
[  578.820009] Workqueue: events intel_mmio_flip_work_func
[  578.820011]  0000000000000000 ffffffff8a32521d ffff8800bc4bbd98 0000000000000000
[  578.820014]  ffffffff8a0cc76f ffff880112c41a00 ffff8800bc4bbde8 ffff88001403f180
[  578.820017]  0000000000000000 ffff88011ef99700 00000000000000c0 ffffffff8a0cc7da
[  578.820019] Call Trace:
[  578.820024]  [<ffffffff8a32521d>] ? dump_stack+0x46/0x59
[  578.820028]  [<ffffffff8a0cc76f>] ? __warn+0xbf/0xe0
[  578.820030]  [<ffffffff8a0cc7da>] ? warn_slowpath_fmt+0x4a/0x50
[  578.820033]  [<ffffffff8a4866ed>] ? intel_mmio_flip_work_func+0x44d/0x480
[  578.820036]  [<ffffffff8a0ee651>] ? finish_task_switch+0x1b1/0x250
[  578.820039]  [<ffffffff8a0e344d>] ? process_one_work+0x14d/0x420
[  578.820041]  [<ffffffff8a0e3a75>] ? worker_thread+0x45/0x460
[  578.820043]  [<ffffffff8a0e3a30>] ? rescuer_thread+0x310/0x310
[  578.820046]  [<ffffffff8a0e8428>] ? kthread+0xb8/0xd0
[  578.820049]  [<ffffffff8a82d492>] ? ret_from_fork+0x22/0x40
[  578.820051]  [<ffffffff8a0e8370>] ? kthread_create_on_node+0x170/0x170
[  578.820052] ---[ end trace 4ada0f9db7110715 ]---
[  578.821523] drm/i915: Resetting chip after gpu hang
[  586.820037] [drm] stuck on render ring
[  586.820430] [drm] GPU HANG: ecode 7:0:0x85fffff8, in kwin_x11 [618], reason: Ring hung, action: reset
[  586.822079] drm/i915: Resetting chip after gpu hang


[ebuild   R    ] media-libs/mesa-11.0.6::gentoo  USE="classic dri3 egl gallium gbm gles1 gles2 llvm nptl osmesa udev wayland xa -bindist -d3d9 -debug -opencl -openmax -pax_kernel -pic (-selinux) -vaapi -vdpau -xvmc" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="i965 intel (-freedreno) -i915 -ilo -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware" 0 KiB
[ebuild   R    ] x11-base/xorg-server-1.17.4:0/1.17.4::gentoo  USE="glamor ipv6 nptl suid systemd udev xorg -dmx -doc -kdrive (-libressl) -minimal (-selinux) -static-libs -tslib -unwind -wayland -xephyr -xnest -xvfb" 0 KiB
[ebuild   R    ] x11-drivers/xf86-video-intel-2.99.917-r2::gentoo  USE="dri sna udev -debug -uxa -xvmc" 0 KiB
Comment 1 Diego Elio Pettenò 2016-06-09 21:59:35 UTC
(As a note, the "dirty" in the kernel is me hacking at a USB input device driver. Nothing on the video stack.)
Comment 2 Davide Bettio 2016-06-10 00:00:24 UTC
I think I have the same issue here with plasmashell 5.5.5 on kubuntu 16.04 running on a XPS 13" laptop (uname: 4.4.0-22-generic #40-Ubuntu SMP Thu May 12 22:03:46 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux)

lspci:
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)

cpuinfo:
model name      : Intel(R) Core(TM) i7-4510U CPU @ 2.00GHz


Also I have some really awful painting glitches.

[55067.052370] [drm] stuck on render ring
[55067.053694] [drm] GPU HANG: ecode 7:0:0x85dffff8, in plasmashell [24668], reason: Ring hung, action: reset
[55067.053741] ------------[ cut here ]------------
[55067.053784] WARNING: CPU: 2 PID: 25422 at /build/linux-FvcHlK/linux-4.4.0/drivers/gpu/drm/i915/intel_display.c:11287 intel_mmio_flip_work_func+0x38e/0x3d0 [i915]()
[55067.053786] WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, NULL, &mmio_flip->i915->rps.mmioflips))
[55067.053788] Modules linked in:
[55067.053790]  nls_iso8859_1 uas usb_storage pl2303 usbserial cdc_acm drbg ansi_cprng ctr ccm cmac rfcomm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT nf_reject_ipv4 xt_tcpudp bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables x_tables pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep arc4 joydev hid_rmi dell_wmi sparse_keymap dell_laptop dcdbas dell_smm_hwmon uvcvideo snd_soc_rt5640 btusb btrtl videobuf2_vmalloc btbcm videobuf2_memops btintel videobuf2_v4l2 snd_soc_rl6231 videobuf2_core v4l2_common snd_soc_core videodev intel_rapl x86_pkg_temp_thermal media intel_powerclamp iwlmvm coretemp snd_compress ac97_bus crct10dif_pclmul
[55067.053830]  hid_multitouch snd_pcm_dmaengine crc32_pclmul mac80211 bluetooth snd_seq_midi snd_seq_midi_event snd_rawmidi aesni_intel snd_hda_codec_hdmi aes_x86_64 lrw gf128mul snd_hda_codec_realtek glue_helper ablk_helper cryptd snd_hda_codec_generic snd_seq iwlwifi snd_hda_intel snd_hda_codec input_leds serio_raw cfg80211 snd_hda_core snd_hwdep lpc_ich snd_pcm snd_seq_device snd_timer mei_me mei shpchp snd acpi_als kfifo_buf elan_i2c industrialio soundcore dw_dmac snd_soc_sst_acpi spi_pxa2xx_platform dw_dmac_core 8250_dw i2c_designware_platform i2c_designware_core dell_rbtn intel_smartconnect mac_hid kvm_intel kvm irqbypass parport_pc ppdev lp parport autofs4 usbhid i915 psmouse i2c_algo_bit drm_kms_helper syscopyarea ahci sysfillrect libahci sysimgblt fb_sys_fops drm wmi video sdhci_acpi sdhci
[55067.053872]  i2c_hid hid fjes
[55067.053876] CPU: 2 PID: 25422 Comm: kworker/2:2 Tainted: G        W  OE   4.4.0-22-generic #40-Ubuntu
[55067.053878] Hardware name: Dell Inc. XPS13 9333/0D13CR, BIOS A05 09/11/2014
[55067.053904] Workqueue: events intel_mmio_flip_work_func [i915]
[55067.053906]  0000000000000286 00000000244c77d8 ffff880086d53d20 ffffffff813e9c53
[55067.053908]  ffff880086d53d68 ffffffffc025aa50 ffff880086d53d58 ffffffff81080fb2
[55067.053911]  ffff880086e76840 ffff88021f296500 ffff88021f29ae00 0000000000000080
[55067.053913] Call Trace:
[55067.053919]  [<ffffffff813e9c53>] dump_stack+0x63/0x90
[55067.053923]  [<ffffffff81080fb2>] warn_slowpath_common+0x82/0xc0
[55067.053925]  [<ffffffff8108104c>] warn_slowpath_fmt+0x5c/0x80
[55067.053929]  [<ffffffff8102d8c7>] ? __switch_to+0x437/0x5c0
[55067.053949]  [<ffffffffc01f3c9e>] intel_mmio_flip_work_func+0x38e/0x3d0 [i915]
[55067.053953]  [<ffffffff8109a052>] process_one_work+0x162/0x480
[55067.053955]  [<ffffffff8109a3bb>] worker_thread+0x4b/0x4c0
[55067.053958]  [<ffffffff8109a370>] ? process_one_work+0x480/0x480
[55067.053960]  [<ffffffff8109a370>] ? process_one_work+0x480/0x480
[55067.053962]  [<ffffffff810a0588>] kthread+0xd8/0xf0
[55067.053964]  [<ffffffff810a04b0>] ? kthread_create_on_node+0x1e0/0x1e0
[55067.053967]  [<ffffffff8182568f>] ret_from_fork+0x3f/0x70
[55067.053969]  [<ffffffff810a04b0>] ? kthread_create_on_node+0x1e0/0x1e0
[55067.053971] ---[ end trace dc4ec0316887228c ]---
[55067.056018] drm/i915: Resetting chip after gpu hang
[55067.804636] dell_wmi: Unknown key e00e pressed
[55275.091787] [drm] stuck on render ring
[55275.092788] [drm] GPU HANG: ecode 7:0:0x85dffffc, in plasmashell [24668], reason: Ring hung, action: reset
[55275.092837] ------------[ cut here ]------------
[55275.092877] WARNING: CPU: 2 PID: 25422 at /build/linux-FvcHlK/linux-4.4.0/drivers/gpu/drm/i915/intel_display.c:11287 intel_mmio_flip_work_func+0x38e/0x3d0 [i915]()
[55275.092879] WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, NULL, &mmio_flip->i915->rps.mmioflips))
[55275.092881] Modules linked in:
[55275.092883]  nls_iso8859_1 uas usb_storage pl2303 usbserial cdc_acm drbg ansi_cprng ctr ccm cmac rfcomm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT nf_reject_ipv4 xt_tcpudp bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables x_tables pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep arc4 joydev hid_rmi dell_wmi sparse_keymap dell_laptop dcdbas dell_smm_hwmon uvcvideo snd_soc_rt5640 btusb btrtl videobuf2_vmalloc btbcm videobuf2_memops btintel videobuf2_v4l2 snd_soc_rl6231 videobuf2_core v4l2_common snd_soc_core videodev intel_rapl x86_pkg_temp_thermal media intel_powerclamp iwlmvm coretemp snd_compress ac97_bus crct10dif_pclmul
[55275.092924]  hid_multitouch snd_pcm_dmaengine crc32_pclmul mac80211 bluetooth snd_seq_midi snd_seq_midi_event snd_rawmidi aesni_intel snd_hda_codec_hdmi aes_x86_64 lrw gf128mul snd_hda_codec_realtek glue_helper ablk_helper cryptd snd_hda_codec_generic snd_seq iwlwifi snd_hda_intel snd_hda_codec input_leds serio_raw cfg80211 snd_hda_core snd_hwdep lpc_ich snd_pcm snd_seq_device snd_timer mei_me mei shpchp snd acpi_als kfifo_buf elan_i2c industrialio soundcore dw_dmac snd_soc_sst_acpi spi_pxa2xx_platform dw_dmac_core 8250_dw i2c_designware_platform i2c_designware_core dell_rbtn intel_smartconnect mac_hid kvm_intel kvm irqbypass parport_pc ppdev lp parport autofs4 usbhid i915 psmouse i2c_algo_bit drm_kms_helper syscopyarea ahci sysfillrect libahci sysimgblt fb_sys_fops drm wmi video sdhci_acpi sdhci
[55275.092970]  i2c_hid hid fjes
[55275.092975] CPU: 2 PID: 25422 Comm: kworker/2:2 Tainted: G        W  OE   4.4.0-22-generic #40-Ubuntu
[55275.092977] Hardware name: Dell Inc. XPS13 9333/0D13CR, BIOS A05 09/11/2014
[55275.093001] Workqueue: events intel_mmio_flip_work_func [i915]
[55275.093003]  0000000000000286 00000000244c77d8 ffff880086d53d20 ffffffff813e9c53
[55275.093005]  ffff880086d53d68 ffffffffc025aa50 ffff880086d53d58 ffffffff81080fb2
[55275.093008]  ffff880035671840 ffff88021f296500 ffff88021f29ae00 0000000000000080
[55275.093010] Call Trace:
[55275.093016]  [<ffffffff813e9c53>] dump_stack+0x63/0x90
[55275.093020]  [<ffffffff81080fb2>] warn_slowpath_common+0x82/0xc0
[55275.093023]  [<ffffffff8108104c>] warn_slowpath_fmt+0x5c/0x80
[55275.093027]  [<ffffffff8102d8c7>] ? __switch_to+0x437/0x5c0
[55275.093055]  [<ffffffffc01f3c9e>] intel_mmio_flip_work_func+0x38e/0x3d0 [i915]
[55275.093059]  [<ffffffff8109a052>] process_one_work+0x162/0x480
[55275.093061]  [<ffffffff8109a3bb>] worker_thread+0x4b/0x4c0
[55275.093064]  [<ffffffff8109a370>] ? process_one_work+0x480/0x480
[55275.093066]  [<ffffffff8109a370>] ? process_one_work+0x480/0x480
[55275.093068]  [<ffffffff810a0588>] kthread+0xd8/0xf0
[55275.093070]  [<ffffffff810a04b0>] ? kthread_create_on_node+0x1e0/0x1e0
[55275.093073]  [<ffffffff8182568f>] ret_from_fork+0x3f/0x70
[55275.093075]  [<ffffffff810a04b0>] ? kthread_create_on_node+0x1e0/0x1e0
[55275.093077] ---[ end trace dc4ec0316887228d ]---
[55275.094767] drm/i915: Resetting chip after gpu hang
[55599.115965] [drm] stuck on render ring
[55599.116938] [drm] GPU HANG: ecode 7:0:0x85dffff8, in kwin [24695], reason: Ring hung, action: reset
[55599.119171] drm/i915: Resetting chip after gpu hang
[55605.080444] [drm] stuck on render ring
[55605.081355] [drm] GPU HANG: ecode 7:0:0x85dffff8, in kwin [24695], reason: Ring hung, action: reset
[55605.081494] ------------[ cut here ]------------
[55605.081536] WARNING: CPU: 3 PID: 25320 at /build/linux-FvcHlK/linux-4.4.0/drivers/gpu/drm/i915/intel_display.c:11287 intel_mmio_flip_work_func+0x38e/0x3d0 [i915]()
[55605.081538] WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, NULL, &mmio_flip->i915->rps.mmioflips))
[55605.081540] Modules linked in:
[55605.081543]  nls_iso8859_1 uas usb_storage pl2303 usbserial cdc_acm drbg ansi_cprng ctr ccm cmac rfcomm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT nf_reject_ipv4 xt_tcpudp bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables x_tables pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep arc4 joydev hid_rmi dell_wmi sparse_keymap dell_laptop dcdbas dell_smm_hwmon uvcvideo snd_soc_rt5640 btusb btrtl videobuf2_vmalloc btbcm videobuf2_memops btintel videobuf2_v4l2 snd_soc_rl6231 videobuf2_core v4l2_common snd_soc_core videodev intel_rapl x86_pkg_temp_thermal media intel_powerclamp iwlmvm coretemp snd_compress ac97_bus crct10dif_pclmul
[55605.081595]  hid_multitouch snd_pcm_dmaengine crc32_pclmul mac80211 bluetooth snd_seq_midi snd_seq_midi_event snd_rawmidi aesni_intel snd_hda_codec_hdmi aes_x86_64 lrw gf128mul snd_hda_codec_realtek glue_helper ablk_helper cryptd snd_hda_codec_generic snd_seq iwlwifi snd_hda_intel snd_hda_codec input_leds serio_raw cfg80211 snd_hda_core snd_hwdep lpc_ich snd_pcm snd_seq_device snd_timer mei_me mei shpchp snd acpi_als kfifo_buf elan_i2c industrialio soundcore dw_dmac snd_soc_sst_acpi spi_pxa2xx_platform dw_dmac_core 8250_dw i2c_designware_platform i2c_designware_core dell_rbtn intel_smartconnect mac_hid kvm_intel kvm irqbypass parport_pc ppdev lp parport autofs4 usbhid i915 psmouse i2c_algo_bit drm_kms_helper syscopyarea ahci sysfillrect libahci sysimgblt fb_sys_fops drm wmi video sdhci_acpi sdhci
[55605.081637]  i2c_hid hid fjes
[55605.081641] CPU: 3 PID: 25320 Comm: kworker/3:0 Tainted: G        W  OE   4.4.0-22-generic #40-Ubuntu
[55605.081643] Hardware name: Dell Inc. XPS13 9333/0D13CR, BIOS A05 09/11/2014
[55605.081666] Workqueue: events intel_mmio_flip_work_func [i915]
[55605.081668]  0000000000000286 0000000095657440 ffff8800a56a7d20 ffffffff813e9c53
[55605.081671]  ffff8800a56a7d68 ffffffffc025aa50 ffff8800a56a7d58 ffffffff81080fb2
[55605.081673]  ffff8800bd22bd00 ffff88021f2d6500 ffff88021f2dae00 00000000000000c0
[55605.081676] Call Trace:
[55605.081682]  [<ffffffff813e9c53>] dump_stack+0x63/0x90
[55605.081686]  [<ffffffff81080fb2>] warn_slowpath_common+0x82/0xc0
[55605.081688]  [<ffffffff8108104c>] warn_slowpath_fmt+0x5c/0x80
[55605.081691]  [<ffffffff8102d8c7>] ? __switch_to+0x437/0x5c0
[55605.081712]  [<ffffffffc01f3c9e>] intel_mmio_flip_work_func+0x38e/0x3d0 [i915]
[55605.081715]  [<ffffffff8109a052>] process_one_work+0x162/0x480
[55605.081718]  [<ffffffff8109a3bb>] worker_thread+0x4b/0x4c0
[55605.081720]  [<ffffffff8109a370>] ? process_one_work+0x480/0x480
[55605.081723]  [<ffffffff810a0588>] kthread+0xd8/0xf0
[55605.081725]  [<ffffffff810a04b0>] ? kthread_create_on_node+0x1e0/0x1e0
[55605.081728]  [<ffffffff8182568f>] ret_from_fork+0x3f/0x70
[55605.081729]  [<ffffffff810a04b0>] ? kthread_create_on_node+0x1e0/0x1e0
[55605.081731] ---[ end trace dc4ec0316887228e ]---
[55605.083502] drm/i915: Resetting chip after gpu hang
Comment 3 Davide Bettio 2016-06-10 00:03:15 UTC
some more notes: plasmashell 5.5.5 is unstable and nearly unusable here, due all these frequent glitches and plasma and kwin crashes.
Comment 4 Chris Wilson 2016-06-10 11:49:55 UTC
Likely related to bug 96447
Comment 5 Elizabeth 2018-03-21 23:14:33 UTC
Hello, new releases should be stable enough now. Was this issue fixed with the latest releases?
Comment 6 GitLab Migration User 2019-09-25 18:56:51 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1523.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.